SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Instant Messaging/IRC/Chat)  >   phpMyChat Vendors:   phpHeaven
phpMyChat Input Validation Hole in 'chat/messagesL.php3' Permits SQL Injection
SecurityTracker Alert ID:  1015873
SecurityTracker URL:  http://securitytracker.com/id/1015873
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Apr 6 2006
Impact:   Disclosure of system information, Disclosure of user information, User access via network
Exploit Included:  Yes  
Version(s): 0.14.5 and prior versions
Description:   rgod reported a vulnerability in phpMyChat. A remote user can inject SQL commands.

The 'chat/messagesL.php3' script does not properly validate user-supplied input. A remote user can supply a specially crafted parameter value to execute SQL commands on the underlying database. This can be exploited to inject data into a table and then cause arbitrary commands to be executed on the target system.

A demonstration exploit is available at:

http://retrogod.altervista.org/phpmychat_0145_xpl.html

Impact:   A remote user can execute SQL commands on the underlying database.
Solution:   No solution was available at the time of this entry.
Vendor URL:  phpmychat.sourceforge.net/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  PHPMyChat <= 0.14.5 "SYS enter" remote cmmnds xctn 0day

http://retrogod.altervista.org/phpmychat_0145_xpl.html

rgod
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC